<?php

namespace App\Repositories\Admin;

use App\Models\Post;
use App\Models\User;
use App\Models\Announcement;
use Illuminate\Support\Facades\DB;

class DashboardRepository
{
    public function showCount()
    {
        $usersCount = User::user()->count();
        $postsCount = Post::all()->count();
        $announcementsCount = Announcement::all()->count();
        $postLikesCount = DB::table('post_likes')->count();

        return compact('usersCount', 'postsCount', 'announcementsCount', 'postLikesCount');
    }
}
